if [ -x /usr/bin/update-desktop-database ]; then
  /usr/bin/update-desktop-database -q usr/share/applications >/dev/null 2>&1
fi

if [ -x /usr/bin/update-mime-database ]; then
  /usr/bin/update-mime-database usr/share/mime >/dev/null 2>&1
fi

if [ -e usr/share/icons/hicolor/icon-theme.cache ]; then
  if [ -x /usr/bin/gtk-update-icon-cache ]; then
    /usr/bin/gtk-update-icon-cache usr/share/icons/hicolor >/dev/null 2>&1
  fi
fi
( cd opt/vivaldi-snapshot ; rm -rf libwidevinecdm.so )
( cd opt/vivaldi-snapshot ; ln -sf /opt/google/chrome/libwidevinecdm.so libwidevinecdm.so )
( cd opt/vivaldi-snapshot ; rm -rf vivaldi )
( cd opt/vivaldi-snapshot ; ln -sf /opt/vivaldi-snapshot/vivaldi-snapshot vivaldi )
( cd usr/bin ; rm -rf vivaldi-snapshot )
( cd usr/bin ; ln -sf /opt/vivaldi-snapshot/vivaldi-snapshot vivaldi-snapshot )
